<!DOCTYPE html>
<html lang="en">
<head>
  <title>Bootstrap Example</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>
<body>

<div class="container">
  <h2>Striped Rows</h2>
  <p>The .table-striped class adds zebra-stripes to a table:</p>            
  <table id="table" class="table table-striped">
    <thead>
      <tr>
        <th>Firstname</th>
        <th>Lastname</th>
        <th>Email</th>
        <th> Details</th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td>John</td>
        <td>Doe</td>
        <td>john@example.com</td>
        <td> <button id="btn-info1" class="btn btn-info"> info 1 </button> </td>
      </tr>
      <tr>
        <td>Mary</td>
        <td>Moe</td>
        <td>mary@example.com</td>
        <td> <button id="btn-info2" class="btn btn-info"> info 2 </button> </td>
      </tr>
      <tr>
        <td>July</td>
        <td>Dooley</td>
        <td>july@example.com</td>
        <td> <button id="btn-info3" class="btn btn-info"> info 3</button> </td>
      </tr>
    </tbody>
  </table>
</div>

</body>
<script>
  $(document).ready(function(){
    "use strict";
    $("#btn-info1").on("click", function(){ onBtnInfo1Click()})
    $("#btn-info2").on("click", function(){ onBtnInfo2Click()})
    $("#btn-info3").on("click", function(){ onBtnInfo3Click()})

  });
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

  /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */ 
  function onBtnInfo1Click(){
    $("#btn-info1")
    .parents('tr')
    .addClass("bg-primary")
  }

  function onBtnInfo2Click(){
    $("#btn-info2")
    .parents()
    .find(".container")
    .css({"border": "3px solid green"})
  }

  function onBtnInfo3Click(){
    $("#btn-info3")
    .parents('tr')
    .find("td:nth-child(3)")
    .css({"color": "red"})
  }
  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */

  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/ 
</script>
</html>
